package com.rjconsultores.ventaboletos.web.gui.controladores.tarifas;

import java.util.ArrayList;
import java.util.List;

import org.zkoss.util.resource.Labels;

public enum EnumTarifaPedagio {
	TARIFA(Labels.getLabel("busquedaTarifaController.lhPrecio.label")), 
	PEDAGIO(Labels.getLabel("busquedaTarifaController.lhPedagio.label")),
	TX_EMBARQUE(Labels.getLabel("busquedaTarifaController.lhTaxa.label")),
	SEGURO(Labels.getLabel("busquedaTarifaController.lhPrecioSeguro.label")),
	TPP(Labels.getLabel("busquedaTarifaController.lhPrecioTPP.label")),
	TODOS(Labels.getLabel("busquedaTarifaController.lhTodos.label"));
	
	private String descricao;

	private EnumTarifaPedagio(String descricao) {
		this.descricao = descricao;
	}
	
	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}
	
	public static List<String> obterBundleValues(){
		List<String> lst = new ArrayList<String>();		
		lst.add(EnumTarifaPedagio.TODOS.getDescricao());
		lst.add(EnumTarifaPedagio.PEDAGIO.getDescricao());
		lst.add(EnumTarifaPedagio.TARIFA.getDescricao());
		lst.add(EnumTarifaPedagio.TX_EMBARQUE.getDescricao());
		lst.add(EnumTarifaPedagio.SEGURO.getDescricao());
		return lst;
	}	
}